Force WordPress to perform a direct upgrade

After modifying my server configuration over the weekend, I realized that WordPress would no longer upgrade automatically, and was asking for FTP information to perform the upgrade. The only problem with this is that I do not have standard FTP access – it’s all SFTP.

I verified the permission set, and the www-data group has write permissions as necessary. However, apparently WordPress looks to the user permissions, and not group. So I was stuck – I’m not going to elevate user permissions to have full access. I did some searching and found the following directive that can be placed in the wp-config.php file:

define('FS_METHOD','direct');

After adding this option, the upgrade went through fine. Success.

Leave a Reply

  • (will not be published)

XHTML: You can use these tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>